Skip to main content
All admin endpoints require the LoftAdmin authorization policy. Include a JWT or API key with admin privileges.

RBAC Management

GET /api/loft/admin/roles

List organization role assignments.
curl

POST /api/loft/admin/roles

Assign a role to a user.
curl

DELETE /api/loft/admin/roles/

Revoke a user’s role.
curl

Workspace Management

GET /api/loft/admin/workspaces

List workspaces.
curl

POST /api/loft/admin/workspaces

Create a workspace.
curl

POST /api/loft/admin/workspaces//members

Add a member to a workspace.
curl

POST /api/loft/admin/workspaces//interfaces

Add an interface to a workspace.
curl

SLA Management

GET /api/loft/admin/sla/

Get SLA definition for an interface.
curl

POST /api/loft/admin/sla

Create an SLA definition.
curl

GET /api/loft/admin/sla//report

Get SLA compliance report.
curl